

#include <tinyNeoPixel.h>
#ifdef __AVR__
#include <avr/power.h> // Required for 16 MHz Adafruit Trinket
#endif

// Digital IO pin connected to the button. This will be driven with a
// pull-up resistor so the switch pulls the pin to ground momentarily.
// On a high -> low transition the button press logic will execute.
#define BUTTON_PIN   1

#define PIXEL_PIN    4  // Digital IO pin connected to the NeoPixels.

#define PIXEL_COUNT 1  // Number of NeoPixels



// Declare our NeoPixel strip object:
tinyNeoPixel strip(PIXEL_COUNT, PIXEL_PIN, NEO_GRB + NEO_KHZ800);

boolean lastState = HIGH;
int redArray[7] = {153, 0, 102, 102, 0, 204, 255};
int greenArray[7] = {153, 102, 0, 0, 153, 102, 255};
int blueArray[7] = {255, 0, 0, 51, 153, 0, 255};
int index = 0;


#include <ezButton.h>

ezButton button(1);  // create ezButton object that attach to pin 7;



void setup() {
  pinMode(BUTTON_PIN, INPUT_PULLUP);
  strip.begin(); // Initialize NeoPixel strip object (REQUIRED)
  strip.clear();  // Initialize all pixels to 'off'
strip.setBrightness(85); // about 1/3 brightness
  strip.setPixelColor(0,strip.Color(153, 153, 255)); //starting color
  strip.show();

    button.setDebounceTime(150); // set debounce time to 100 milliseconds

}

void loop() {

  // Get current button state.
button.loop(); // MUST call the loop() function first

  int btnState = button.getState();
  // Check if state changed from high to low (button press).
  if (lastState == HIGH &&(btnState == LOW) ) {
    // Short delay to debounce button.
    delay(20);
 
      index++;
      if (index > 6) index = 0;

      strip.setPixelColor(0,strip.Color(redArray[index], greenArray[index], blueArray[index]));
      strip.show();


  }// end if low
 // save the the last state
  lastState = btnState;
}//end loop
